<?php

if(!isset($user) && !isset($_GET['id_user'])){
	header("Location: index.php");
	exit;
	}

if(isset($user)){
	$ank['id'] = $user['id'];
	}

if(isset($_GET['id_user'])){
	$ank['id'] = intval($_GET['id_user']);
	}

if(mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".$ank['id']."' LIMIT 1"),0)==0){
	header("Location: index.php");
	exit;
	}

$ank = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$ank['id']."' LIMIT 1"));
$gallery['id'] = intval($_GET['id_gallery']);

if(mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery` WHERE `id` = '".$gallery['id']."' AND `id_user` = '".$ank['id']."' LIMIT 1"),0)==0){
	header("Location: /foto/$ank[id]/");
	exit;
	}

$gallery = mysql_fetch_array(mysql_query("SELECT * FROM `gallery` WHERE `id` = '".$gallery['id']."' AND `id_user` = '".$ank['id']."' LIMIT 1"));
$foto['id'] = intval($_GET['id_foto']);

if(mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_foto` WHERE `id` = '".$foto['id']."' LIMIT 1"),0)==0){
	header("Location: /foto/$ank[id]/$gallery[id]/");
	exit;
	}

$foto = mysql_fetch_array(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = '".$foto['id']."'  LIMIT 1"));
$set['title'] = 'Файл: '.$foto['name'];

include_once '../sys/inc/thead.php';

title();
aut();



if(isset($user) && ($user['level']>$ank['level'] || $user['id']==$ank['id'] || $user['level']>3)){
	include 'inc/gallery_show_foto_act.php';
	}

if(isset($user) && $user['id']!=$ank['id'] && $user['balls']>=0 && $user['rating']>=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_rating` WHERE `id_user` = '".$user['id']."' AND `id_foto` = '".$foto['id']."'"),0)==0){
{
if(isset($_GET['rating']) && $_GET['rating']=='1'){
$ratfoto1="Обитатель $user[nick], Проголосовал за одну из ваших фотографии ($foto[name]).  Оценка на +1";

mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$ratfoto1', '$time')");

mysql_query("UPDATE `gallery_foto` SET `rating` = '".($foto['rating']+1)."' WHERE `id` = '$foto[id]' LIMIT 1",$db);
mysql_query("INSERT INTO `gallery_rating` (`id_user`, `id_foto`) values('$user[id]', '$foto[id]')",$db);
msg ('Ваш положительный отзыв принят');$foto=mysql_fetch_array(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = $foto[id] LIMIT 1"));}

if(isset($_GET['rating']) && $_GET['rating']=='2'){
$ratfoto2="Обитатель $user[nick], Проголосовал за одну из ваших фотографии ($foto[name]).  Оценка на +2";

mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$ratfoto2', '$time')");

mysql_query("UPDATE `gallery_foto` SET `rating` = '".($foto['rating']+2)."' WHERE `id` = '$foto[id]' LIMIT 1",$db);
mysql_query("INSERT INTO `gallery_rating` (`id_user`, `id_foto`) values('$user[id]', '$foto[id]')",$db);
msg ('Ваш положительный отзыв принят');$foto=mysql_fetch_array(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = $foto[id] LIMIT 1"));}

if(isset($_GET['rating']) && $_GET['rating']=='3'){
$ratfoto3="Обитатель $user[nick], Проголосовал за одну из ваших фотографии ($foto[name]).  Оценка на +3";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$ratfoto3', '$time')");

mysql_query("UPDATE `gallery_foto` SET `rating` = '".($foto['rating']+3)."' WHERE `id` = '$foto[id]' LIMIT 1",$db);
mysql_query("INSERT INTO `gallery_rating` (`id_user`, `id_foto`) values('$user[id]', '$foto[id]')",$db);
msg ('Ваш положительный отзыв принят');$foto=mysql_fetch_array(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = $foto[id] LIMIT 1"));}

if(isset($_GET['rating']) && $_GET['rating']=='4'){
$ratfoto4="Обитатель $user[nick], Проголосовал за одну из ваших фотографии ($foto[name]).  Оценка на +4";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$ratfoto4', '$time')");


mysql_query("UPDATE `gallery_foto` SET `rating` = '".($foto['rating']+4)."' WHERE `id` = '$foto[id]' LIMIT 1",$db);
mysql_query("INSERT INTO `gallery_rating` (`id_user`, `id_foto`) values('$user[id]', '$foto[id]')",$db);
msg ('Ваш положительный отзыв принят');$foto=mysql_fetch_array(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = $foto[id] LIMIT 1"));}

if(isset($_GET['rating']) && $_GET['rating']=='5'){
$ratfoto5="Обитатель $user[nick], Проголосовал за одну из ваших фотографии ($foto[name]).  Оценка на +5";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$ratfoto5', '$time')");


mysql_query("UPDATE `gallery_foto` SET `rating` = '".($foto['rating']+5)."' WHERE `id` = '$foto[id]' LIMIT 1",$db);
mysql_query("INSERT INTO `gallery_rating` (`id_user`, `id_foto`) values('$user[id]', '$foto[id]')",$db);
msg ('Ваш положительный отзыв принят');$foto=mysql_fetch_array(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = $foto[id] LIMIT 1"));}

}


	}

err();
if($foto['sex']==1 && $user['ank_age']<18){
	echo '<div class="err">Данный файл 18+! Вам нет 18 лет или Вы не указали сколько Вам лет. Просмотр для Вас закрыт.</div>';
	}else{
if($user['ank_d_r']!=NULL && $user['ank_m_r']!=NULL && $user['ank_g_r']!=NULL){
	$user['ank_age']=date("Y")-$user['ank_g_r'];

if(date("n")<$user['ank_m_r']){
	$user['ank_age']=$user['ank_age']-1;
	}else if(date("n")==$user['ank_m_r']&& date("j")<$user['ank_d_r']){
		$user['ank_age']=$user['ank_age']-1;
		}
		}


echo '<div class="rowup">';
echo '<img src="http://'.$_SERVER['HTTP_HOST'].'/foto/foto128/'.$foto['id'].'.'.$foto['ras'].'" alt="'.$foto['name'].'"/><br/>';

if($foto['opis']!=null){
	echo output_text($foto['opis']).'<br/>';
	}

echo "<img src='/img/tabor/foto.gif' alt='' /> <a href='/foto/foto0/$foto[id].$foto[ras]' title='Скачать оригинал'>";
echo "Скачать оригинал";
echo " (".size_file(filesize(H.'/files/gallery/foto/'.$foto['id'].'.jpg')).")";
echo "</a><br />\n";

echo "<span class=\"ank_n\">Рейтинг:</span> ";
echo "<span class=\"ank_d\">$foto[rating]</span><br />";
if (isset($user) && $user['id']!=$ank['id'] && $user['balls']>=0 && $user['rating']>=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_rating` WHERE `id_user` = '$user[id]' AND `id_foto` = '$foto[id]'"), 0)==0)
{
echo " <a href=\"?id=$foto[id]&amp;rating=1\" title=\"Отдать положительный голос\">+1</a>|";
echo " <a href=\"?id=$foto[id]&amp;rating=2\" title=\"Отдать положительный голос\">+2</a>|";
echo " <a href=\"?id=$foto[id]&amp;rating=3\" title=\"Отдать положительный голос\">+3</a>|";
echo " <a href=\"?id=$foto[id]&amp;rating=4\" title=\"Отдать положительный голос\">+4</a>|";
echo " <a href=\"?id=$foto[id]&amp;rating=5\" title=\"Отдать положительный голос\">+5</a>";
echo "<br />\n";
echo "</div>\n";
	}

echo '<br/>';

if(isset($user) && ($user['level']>$ank['level'] || $user['id']==$ank['id'] || $user['level']>3)){
	include 'inc/gallery_show_foto_form.php';
	}
echo '<div class="menu">';
$comm = mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_komm` WHERE `id_foto` = '".$foto['id']."'"),0);
echo '<a href="/foto/'.$ank['id'].'/'.$gallery['id'].'/komm/'.$foto['id'].'/">Комментарии</a> (<b>'.$comm.'</b>)<br/>';
}

echo '<a href="/foto/'.$ank['id'].'/'.$gallery['id'].'/">К фотографиям</a> ('.$ank['nick'].')<br/>';
echo '<a href="/foto/'.$ank['id'].'/">К фотоальбомам</a> ('.$ank['nick'].')</div>';
include_once '../sys/inc/tfoot.php';
exit;
?>